import { Card, Image } from "antd"
import up from '@/assets/welcome/up.png'
import down from '@/assets/welcome/down.png'
import './style.less'

const WCard = (props) => {
  const { value } = props
  //隔三位加一个逗号
  function toThousands(num) {
    return (num || 0).toString().replace(/(\d)(?=(?:\d{3})+$)/g, '$1,');
  }
  return (
    <div className='wcard'>
      <img src={value.icon} className='wImg' />
      <div className='wright'>
        <div className='title'>{value.title}</div>
        <div className='value'>{toThousands(value.value)}</div>
        <div className='percentage'><img className='wicon' src={value.percentage > 0 ? up : down} />同比上月&nbsp;&nbsp;{Math.abs(value.percentage)}%</div>
      </div>
    </div>
  )
}
export default WCard